Bug 150696

Summary: [ES6] Add support for toStringTag
Product: WebKit Reporter: Keith Miller <keith_miller>
Component: JavaScriptCoreAssignee: Keith Miller <keith_miller>
Status: RESOLVED FIXED    
Severity: Normal CC: buildbot, cdumez, commit-queue, darin, rniwa, ryanhaddad
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 150781    
Bug Blocks:    
Attachments:
Description Flags
Patch
ggaren: review+, buildbot: commit-queue-
Archive of layout-test-results from ews106 for mac-mavericks-wk2
none
Archive of layout-test-results from ews112 for mac-yosemite
none
Archive of layout-test-results from ews100 for mac-mavericks
none
Benchmark results none

Description Keith Miller 2015-10-29 15:06:23 PDT
[ES6] Add support for toStringTag
Comment 1 Keith Miller 2015-10-29 15:15:00 PDT
Created attachment 264354 [details]
Patch
Comment 2 Geoffrey Garen 2015-10-29 15:16:21 PDT
Comment on attachment 264354 [details]
Patch

r=me
Comment 3 Build Bot 2015-10-29 16:08:34 PDT
Comment on attachment 264354 [details]
Patch

Attachment 264354 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/355371

New failing tests:
http/tests/security/cross-frame-access-object-setPrototypeOf.html
http/tests/security/cross-frame-access-custom.html
http/tests/history/cross-origin-replace-history-object-child.html
Comment 4 Build Bot 2015-10-29 16:08:37 PDT
Created attachment 264360 [details]
Archive of layout-test-results from ews106 for mac-mavericks-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-mavericks-wk2  Platform: Mac OS X 10.9.5
Comment 5 Build Bot 2015-10-29 16:10:53 PDT
Comment on attachment 264354 [details]
Patch

Attachment 264354 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/355362

New failing tests:
http/tests/security/cross-frame-access-history-get.html
http/tests/security/cross-frame-access-object-setPrototypeOf.html
http/tests/security/cross-frame-access-custom.html
http/tests/history/cross-origin-replace-history-object-child.html
Comment 6 Build Bot 2015-10-29 16:10:56 PDT
Created attachment 264361 [details]
Archive of layout-test-results from ews112 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 7 Build Bot 2015-10-29 16:12:19 PDT
Comment on attachment 264354 [details]
Patch

Attachment 264354 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/355402

New failing tests:
http/tests/security/cross-frame-access-history-get.html
http/tests/security/cross-frame-access-object-setPrototypeOf.html
http/tests/security/cross-frame-access-custom.html
http/tests/history/cross-origin-replace-history-object-child.html
Comment 8 Build Bot 2015-10-29 16:12:21 PDT
Created attachment 264362 [details]
Archive of layout-test-results from ews100 for mac-mavericks

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-mavericks  Platform: Mac OS X 10.9.5
Comment 9 Keith Miller 2015-10-29 16:39:03 PDT
Created attachment 264364 [details]
Benchmark results

Benchmark results look neutral.
Comment 10 Keith Miller 2015-10-30 13:54:03 PDT
Failing tests are kosher. The cross domain issues are just because we are attempting to get the Symbol.toStringTag from a different window and should be blocked anyway. I'll update the expected files.
Comment 11 Keith Miller 2015-10-30 14:38:14 PDT
Committed r191815: <http://trac.webkit.org/changeset/191815>
Comment 12 Ryan Haddad 2015-10-30 15:19:10 PDT
FYI ** The following JSC stress test failures have been introduced:
	es6.yaml/es6/well-known_symbols_Symbol.toStringTag.js.default
	es6.yaml/es6/well-known_symbols_Symbol.toStringTag_misc._built-ins.js.default

<https://build.webkit.org/builders/Apple%20El%20Capitan%20Release%20JSC%20%28Tests%29/builds/849/steps/jscore-test/logs/stdio>
Comment 13 Keith Miller 2015-10-30 15:20:57 PDT
(In reply to comment #12)
> FYI ** The following JSC stress test failures have been introduced:
> 	es6.yaml/es6/well-known_symbols_Symbol.toStringTag.js.default
> 	es6.yaml/es6/well-known_symbols_Symbol.toStringTag_misc._built-ins.js.
> default
> 
> <https://build.webkit.org/builders/
> Apple%20El%20Capitan%20Release%20JSC%20%28Tests%29/builds/849/steps/jscore-
> test/logs/stdio>

Looking.
Comment 14 Keith Miller 2015-10-30 15:33:46 PDT
Test failures should be fixed in <http://trac.webkit.org/changeset/191821>. I forgot to mark those tests as passing.
Comment 15 Ryan Haddad 2015-10-30 15:44:14 PDT
(In reply to comment #14)
> Test failures should be fixed in <http://trac.webkit.org/changeset/191821>.
> I forgot to mark those tests as passing.

Cool. Thanks for taking a look!
Comment 17 WebKit Commit Bot 2015-11-01 14:45:11 PST
Re-opened since this is blocked by bug 150781
Comment 18 Alexey Proskuryakov 2015-11-01 15:13:51 PST
Re-landed in r191864, as this wasn't the culprit. I wonder what was!
Comment 19 Darin Adler 2015-11-01 16:15:12 PST
(In reply to comment #18)
> Re-landed in r191864, as this wasn't the culprit. I wonder what was!

Re-landing this did introduce test failures.

Regressions: Unexpected text-only failures (3)
  http/tests/history/cross-origin-replace-history-object-child.html [ Failure ]
  http/tests/security/cross-frame-access-custom.html [ Failure ]
  http/tests/security/cross-frame-access-object-setPrototypeOf.html [ Failure ]

I think this may have to be rolled out after all. Could someone please investigate?
Comment 20 Darin Adler 2015-11-01 16:15:40 PST
And EWS shows those same failures, so we should not have ignored them in EWS!
Comment 21 Darin Adler 2015-11-01 16:16:27 PST
Oh, wait, you say those failures are actually progressions.

My new question then is: Why haven’t the new expected results been landed yet?
Comment 22 Darin Adler 2015-11-01 16:17:42 PST
Looks like when Alexey re-landed in r191864, the changes to http/tests expected results didn’t land.
Comment 23 Darin Adler 2015-11-01 16:27:23 PST
I tried to fix things in http://trac.webkit.org/changeset/191869
Comment 24 Chris Dumez 2015-11-02 16:46:06 PST
Significant Dromaeo regression after this: rdar://problem/23365738